"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tab = void 0;

var _react = _interopRequireDefault(require("react"));

var _api = require("@storybook/api");

var _constants = require("./constants");

var _TabContent = require("./components/TabContent");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Tab = function Tab(_ref) {
  var active = _ref.active;
  // https://storybook.js.org/docs/react/addons/addons-api#useparameter
  var paramData = (0, _api.useParameter)(_constants.PARAM_KEY, "");
  return active ? /*#__PURE__*/_react["default"].createElement(_TabContent.TabContent, {
    code: paramData
  }) : null;
};

exports.Tab = Tab;